> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Network



## OpenAPI

````yaml api-reference/gpus-v2-spec/get-vpc.json GET /gpus/v2/networks/{network_id}
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/networks/{network_id}:
    get:
      summary: Get Network
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: network_id
          in: path
          required: true
          schema:
            type: string
          description: Network ID.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Network ID
                    example: network-abc123
                  owner_id:
                    type: string
                    description: Owner ID
                    example: user-abc123
                  name:
                    type: string
                    description: Network name
                    example: dev-vpc
                  status:
                    type: object
                    description: Network status
                    properties:
                      status:
                        type: string
                        description: Status value
                        example: running
                      error:
                        type: string
                        description: Error code or error type
                        example: ''
                      message:
                        type: string
                        description: Error message
                        example: ''
                  cidr:
                    type: string
                    description: CIDR block
                    example: 10.0.0.0/24
                  region_id:
                    type: string
                    description: Region ID
                    example: cluster-abc123
                  instances:
                    type: array
                    description: Instances assigned to this Network
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Instance ID
                          example: instance-abc123
                        ip:
                          type: string
                          description: Instance IP
                          example: 10.0.0.10
                  created_at:
                    type: integer
                    description: Creation time. Unix timestamp
                    example: 1710000000
                  member_id:
                    type: string
                    description: Member ID
                    example: 550e8400-e29b-41d4-a716-446655440000

````